{% extends 'Default/index.html.twig' %}
{% set ente = instance_service.getCurrentInstance() %}

{% block title %}{{ pratica.servizio.name }} - Stanza del cittadino{% endblock %}
{% block stylesheets %}
  {{ parent() }}
  {{ encore_entry_link_tags('user-show-application') }}
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/element-ui/1.4.13/theme-default/index.css" integrity="sha512-698XkMvQis2vuqDf9fvwdvAjVWsAEwb/2yUWZZyzEEd/z3M++P03dmS/oxSIUGe7hg2aaS+MXUKQqMKi2iolxA==" crossorigin="anonymous" referrerpolicy="no-referrer" />
{% endblock %}

{% block javascripts %}
  {{ parent() }}
  {{ encore_entry_script_tags('user-show-application') }}

  <script src="https://cdnjs.cloudflare.com/ajax/libs/vue/2.2.6/vue.min.js" integrity="sha512-yNMXFsZbP+Hii2fM4n1EvhKbBCZ2NAfW1FvlN6yB1ZanH+1sEcNV2rPEg6qCMRT/4dY01ELCdD75WflfTHdKJg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/element-ui/1.4.13/index.js" integrity="sha512-cxMPoY2pP9tAt+qy1y/9zQTKAFNtW9DT5tKin9+0qYml+iK6HdaqOS/r523pNmmps3c4E3v5rZSBQb0aA5EFKQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.27.2/axios.min.js" integrity="sha512-odNmoc1XJy5x1TMVMdC7EMs3IVdItLPlCeL5vSUPN2llYKMJ2eByTTAIiiuqLg+GdNr9hF6z81p27DArRFKT7A==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

  <script src="{{ asset('bundles/app/js/components/message_attachments.js') }}"></script>
  {% if user %}
    <script type="application/javascript">
      let vueBundledDataMessage = {
        "attachments": [],
        "upload_url": "{{ path('cps_user_allegato_messaggio_upload', {'id': pratica.id }) }}",
        "title": "{{'pratica.carica_allegato'|trans}}"
      };
      new Vue({
        el: "#vueApp",
        props: { title: "{{'pratica.carica_allegato'|trans}}" },
      });
    </script>
  {% endif %}
{% endblock %}

{% block main_content %}
  <section id="intro" class="container px-4 my-4">
    <div class="row">
      <div class="col-lg-12 px-lg-4 py-lg-2">
        <div class="my-2">
          <h1>
            {{ pratica.servizio.name }}
            <span class="h3 primary-color">[{{ pratica.statusName | trans }}]</span>
          </h1>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-lg-8 px-lg-4 py-lg-2">
        {% if pratica.statusName == 'STATUS_SUBMITTED_AFTER_INTEGRATION' %}
          <div class="row last">
            <div class="col alert alert-info">
              {{ 'operatori.protocollazione_risposta_integrazione' | trans }}
            </div>
          </div>
        {% endif %}

        {% if pratica.statusName == 'STATUS_COMPLETE' or pratica.statusName == 'STATUS_CANCELLED' %}
          <div class="row last">
            <div class="col-xs-12 col-sm-12">
              <div class="alert alert-{% if pratica.esito %}success{% else %}danger{% endif %}">
                {% if pratica.esito %}
                  <h5>{{ 'pratica.dettaglio.esito.accettata'|trans|raw }}</h5>
                {% else %}
                  <h5>{{ 'pratica.dettaglio.esito.rifiutata'|trans|raw }}</h5>
                {% endif %}

                {% if pratica.motivazioneEsito %}
                  <p class="m-0">{{ pratica.motivazioneEsito | raw }}</p>
                {% endif %}

                {% if pratica.allegatiOperatore|length > 0 %}
                  {% for allegato in pratica.allegatiOperatore %}
                    <div class="row my-3">
                      <div class="col">
                        <a class="text-truncate"
                           href="{{ path('allegati_download_cpsuser', {'allegato': allegato.id}) }}" download>
                          <svg class="icon icon-primary">
                            <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-file"></use>
                          </svg>
                          {{ allegato.originalFilename }}
                        </a>
                      </div>
                    </div>
                  {% endfor %}
                {% endif %}

              </div>
            </div>
          </div>
        {% endif %}

        {# Pratica in attesa di integrazioni #}
        {% if not pratica.servizio.legacy and (pratica.statusName == 'STATUS_DRAFT_FOR_INTEGRATION') and pratica.richiestaDiIntegrazioneAttiva is defined %}
          <div class="alert alert-warning">
            <h5>{{ 'pratica.dettaglio.integrazioni.alert'|trans }}</h5>
            {% if integration_request_message.message is defined %}
              {{ integration_request_message.message | raw }}
            {% endif %}
            {% if last_owner_message is null or (last_owner_message is not null and last_owner_message.createdAt < pratica.richiestaDiIntegrazioneAttiva.createdAt|date('U')) %}
              <div class="text-right my-3">
                <button id="answer-integration" type="button" class="btn btn-sm btn-outline-primary">
                  {{ 'pratica.dettaglio.integrazioni.button'|trans }}
                </button>
              </div>
            {% endif %}
          </div>
        {% endif %}

        {{ include('Pratiche/summary/detail_summary.html.twig', {'pratica':pratica}) }}
      </div>

      {# Sidebar #}
      <div class="col-lg-4 pt-5 pt-lg-2 px-lg-2">
        <div class="row pl-4">
          <div class="col-12">
            {{ include('Pratiche/parts/pratica_actions.html.twig', {'pratica':pratica}) }}
          </div>
        </div>
        <div class="row pl-4">
          {% if pratica.isFormIOType %}
            <div class="col-12 pb-3">
              <h6>{{ 'pratica.numero' | trans }}:</h6>
              <code class="text-nowrap">{{ pratica.id }}</code>
            </div>
            {% if pratica.submissionTime %}
              <div class="col-12 pb-3">
                <h6>{{ 'pratica.dettaglio.data_ora_presentazione' | trans }}:</h6>
                <span class="text-nowrap">
                  {{ pratica.submissionTime|format_date( locale=app.request.locale) }} {{ 'pratica.dettaglio.alle'|trans }} {{ pratica.submissionTime|format_time(pattern='HH:mm:ss', locale=app.request.locale) }}
                </span>
                {% if pratica.servizio.maxResponseTime and pratica.remainingResponseTime >= 0 %}
                  <h6>{{ 'pratica.dettaglio.max_response_date' | trans }}:</h6>
                  <span class="text-nowrap">
                    {{ 'now' | date_modify('+' ~ (pratica.remainingResponseTime) ~ 'days') | format_date( locale=app.request.locale) }}
                  </span>
                {% endif %}
              </div>
            {% endif %}
            {% if  pratica.servizio.isProtocolrequired %}
              <div class="col-12 pb-3">
                <h6>{{ 'pratica.protocollo' | trans }}:</h6>
                {% if pratica.numeroProtocollo %}
                  <code class="text-nowrap">{{ pratica.numeroProtocollo }}</code>
                {% else %}
                  <span class="text-nowrap font-italic">{{ 'pratica.in_attesa_protocollo'| trans }}</span>
                {% endif %}
              </div>
            {% endif %}
          {% endif %}
          <div class="col-12 pb-3">
            <div class="it-page-section">
              <h6> {{ 'pratica.iter'|trans }}</h6>
              {{ include('Pratiche/parts/pratica_iter.html.twig') }}
            </div>
          </div>
          {% if pratica.userCompilationNotes %}
            <div class="col-12">
              <div id="compilationNotes" class="callout my-5">
                <div class="callout-title py-1 px-2">
                  <svg class="icon">
                    <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-note"></use>
                  </svg>
                  {{ 'pratica.le_tue_note'|trans }}
                </div>
                <div class="body">
                  <p>{{ pratica.userCompilationNotes }}</p>
                </div>
              </div>
            </div>
          {% endif %}
          {% if applications_in_folder|length > 0 %}
            <div class="col-12 pb-3">
              <h6>{{ 'operatori.fascicolo' | trans }}</h6>
              {{ include('Pratiche/summary/parts/fascicolo.html.twig') }}
            </div>
          {% endif %}
          {% if pratiche_recenti|length > 0 %}
            <div class="col-12 pb-3">
              <h6>{{ 'operatori.ultime_pratiche' | trans }}</h6>
              {{ include('Pratiche/summary/parts/pratiche_recenti.html.twig') }}
            </div>
          {% endif %}
        </div>
      </div>
    </div>
  </section>
{% endblock %}
